using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.UI.Encyclopedia
{
    [System.Serializable]
    public class EncyclopediaArticle
    {
        public string id;
        public string title;
        public string description;
        public Sprite icon;
        public bool unlocked = true;
        public Dictionary<string,string> content = new Dictionary<string, string>();
        public Dictionary<string,Sprite> images = new Dictionary<string, Sprite>();
        public Dictionary<string,int> integers = new Dictionary<string, int>();
        public Dictionary<string, float> floats = new Dictionary<string, float>();
        public Dictionary<string, bool> booleans = new Dictionary<string, bool>();
        public Dictionary<string, Func<EncyclopediaArticle>> functions = new Dictionary<string, Func<EncyclopediaArticle>>();

    }
}